Skip to content
POST /unified/accounting/journal_entries

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

companystring

The company the journal entry belongs to

References: CompanyInfo → id
1 supported1 required
ERPNext
required
is_multi_currencyboolean

Whether this journal entry involves multiple currencies.

1 supported
ERPNext
supported
is_opening_balanceboolean

Whether this journal entry is an opening balance entry.

1 supported
ERPNext
supported
linesobject[]
2 supported1 required
ERPNext
required
Xero
supported
account_codestring
required·

The code for the account.

accountstring

The ID of the account

account_idstring

The unique identifier for the account.

currencystring

The currency of the line item

descriptionstring

The description of the line item

exchange_ratenumber

The exchange rate of the currency for the line item

idstring

The unique identifier for line item

itemstring

The ID of the item

namestring

The name of the line item

quantitynumber

The quantity of the line item

related_entity_namestring

The name or ID of the entity in the accounting system

related_entity_typestring

The type of business entity this journal line relates to

tax_ratestring

The ID of the tax rate

total_line_amountnumber

The total line amount of the line item.

tracking_categoriesobject[]

Tracking categories of the line item

3 properties
idstring

The ID of the tracking category

namestring

The name of the tracking category

optionstring

The option of the tracking category

typestring

The type of the line item

unit_pricenumber

The unit price of the line item

memostring

The private note of the journal entry

2 supported1 required
ERPNext
required
QuickBooks
supported
narrationstring

The narration for the journal entry

1 supported1 required
Xero
required
postingstring

For Quickbooks. The type of the posting in journal.

Possible values:
CreditDebit
1 supported
QuickBooks
supported
CreditDebit
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body

idstring
required·

The unique identifier for journal entries

3 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
companystring

The company the journal entry belongs to

References: CompanyInfo → id
1 supported
ERPNext
supported
created_atstring · date-time

This represents the date when the journal entry was created

3 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
currencystring

The currency of the journal entry

2 supported
ERPNext
supported
QuickBooks
supported
exchange_ratenumber

The exchange rate of the journal entry

1 supported
ERPNext
supported
linesobject[]
2 supported
ERPNext
supported
Xero
supported
accountstring

The ID of the account

currencystring

The currency of the line item

descriptionstring

The description of the line item

exchange_ratenumber

The exchange rate of the currency for the line item

idstring

The unique identifier for line item

itemstring

The ID of the item

namestring

The name of the line item

quantitynumber

The quantity of the line item

tax_ratestring

The ID of the tax rate

total_line_amountnumber

The total line amount of the line item.

tracking_categoriesobject[]

Tracking categories of the line item

3 properties
idstring

The ID of the tracking category

namestring

The name of the tracking category

optionstring

The option of the tracking category

typestring

The type of the line item

unit_pricenumber

The unit price of the line item

memostring

The private note of the journal entry

2 supported
ERPNext
supported
QuickBooks
supported
paymentsobject[]

The payments of the journal entry

References: Payments → id
contactobject

The contact of the payment

2 properties
idstring

The ID of the contact

typestring

The type of the contact. Can be customer or vendor.

Possible values:
customervendor
idstring

The unique identifier for payment

payment_forstring

What entity was the payment for. Can be invoice or bill.

Possible values:
invoicebill
remote_dataRecord<string, any>

Raw data returned from the remote API call.

typestring

The type of the journal entry

Possible values:
ACCOUNTS_RECEIVABLEACCOUNTS_PAYABLEGENERALSTATISTICAL
3 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
updated_atstring · date-time

This represents the date when the journal entry was updated

2 supported
ERPNext
supported
QuickBooks
supported
curl -X POST 'https://api.truto.one/unified/accounting/journal_entries?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "company": "your_company",
  "memo": "your_memo",
  "is_multi_currency": true,
  "is_opening_balance": true,
  "lines": [],
  "posting": "Credit",
  "narration": "your_narration",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "company": "your_company",
  "memo": "your_memo",
  "is_multi_currency": true,
  "is_opening_balance": true,
  "lines": [],
  "posting": "Credit",
  "narration": "your_narration",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/accounting/journal_entries?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/journal_entries"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "company": "your_company",
    "memo": "your_memo",
    "is_multi_currency": True,
    "is_opening_balance": True,
    "lines": [],
    "posting": "Credit",
    "narration": "your_narration",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'accounting',
  'journalentries',
  {
  "company": "your_company",
  "memo": "your_memo",
  "is_multi_currency": true,
  "is_opening_balance": true,
  "lines": [],
  "posting": "Credit",
  "narration": "your_narration",
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "accounting",
        "journalentries",
        {
        "company": "your_company",
        "memo": "your_memo",
        "is_multi_currency": True,
        "is_opening_balance": True,
        "lines": [],
        "posting": "Credit",
        "narration": "your_narration",
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())